#
# spec file for package python-Cheesecake
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-Cheesecake
Version:        0.6.1
Release:        2.3
Url:            http://pycheesecake.org/
Summary:        Python code quality checker
License:        PSF
Group:          Development/Languages/Python
Source:         cheesecake-0.6.1.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%endif
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%description
Computes "goodness" index for Python packages based on various empirical "kwalitee" factors.

%package doc
Summary:        Python code quality checker -- Documentation
Group:          Development/Languages/Python

%description doc
Computes "goodness" index for Python packages based on various empirical "kwalitee" factors.

This package contains the documentation for Cheesecake.

%prep
%setup -q -n cheesecake-%{version}

%build
export CFLAGS="%{optflags}"
python setup.py build

%install
find docs -type f \( -name "*.html" -o -name "*.css" \) -exec chmod 644 {} \;
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGES LICENSE README THANKS
%{_bindir}/cheesecake_index
%{python_sitelib}/*

%files doc
%defattr(-,root,root,-)
%doc docs

%changelog
* Wed Jun  1 2011 saschpe@suse.de
- Added Group to doc subpackage to fix build for SLES
* Fri May  6 2011 saschpe@suse.de
- Initial package (0.6.1)
